This is the change file for CWEB's CTANGLE under Plan9.
(by Lee Duhem, lee.duhem@gmail.com, February 2007)

@x
@ We predeclare several standard system functions here instead of including
their system header files, because the names of the header files are not as
standard as the names of the functions. (For example, some \CEE/ environments
have \.{<string.h>} where others have \.{<strings.h>}.)

@<Predecl...@>=
extern int strlen(); /* length of string */
extern int strcmp(); /* compare strings lexicographically */
extern char* strcpy(); /* copy one string to another */
extern int strncmp(); /* compare up to $n$ string characters */
extern char* strncpy(); /* copy up to $n$ string characters */
@y
@z

@x
int main (ac, av)
int ac;
char **av;
@y
void main (ac, av)
int ac;
char **av;
@z

@x
  return wrap_up(); /* and exit gracefully */
@y
  int e = wrap_up(); 
  if(e==0){exits(nil);}else{exits("1");}
@z

@x
@i common.h
@y
@i common-plan9.h
@z

@x
@ The following procedure is used to enter a two-byte value into
|tok_mem| when a replacement text is being generated.

@c
void
store_two_bytes(x)
sixteen_bits x;
@y
@ The following procedure is used to enter a two-byte value into
|tok_mem| when a replacement text is being generated.

@c
void
store_two_bytes(sixteen_bits x)
@z

@x
@ A many-way switch is used to send the output.  Note that this function
is not called if |out_state==verbatim|, except perhaps with arguments
|'\n'| (protect the newline), |string| (end the string), or |constant|
(end the constant).

@<Predecl...@>=
static void out_char();

@ @c
static void
out_char(cur_char)
eight_bits cur_char;
@y
@ A many-way switch is used to send the output.  Note that this function
is not called if |out_state==verbatim|, except perhaps with arguments
|'\n'| (protect the newline), |string| (end the string), or |constant|
(end the constant).

@<Predecl...@>=
static void out_char(eight_bits);

@ @c
static void
out_char(eight_bits cur_char)
@z

@x
@ @c
int skip_comment(is_long_comment) /* skips over comments */
boolean is_long_comment;
@y
@ @c
int skip_comment(boolean is_long_comment) /* skips over comments */
@z

@x
@ @<Include...@>=
#include <ctype.h> /* definition of |isalpha|, |isdigit| and so on */
#include <stdlib.h> /* definition of |exit| */
@y
@ @<Include...@>=
#include <ctype.h> /* definition of |isalpha|, |isdigit| and so on */
@z

@x
@ @c
void
scan_repl(t) /* creates a replacement text */
eight_bits t;
@y
@ @c
void
scan_repl(eight_bits t) /* creates a replacement text */
@z

@x
@** Index.
@y
@ More function prototypes

@<Predecl...@>=
void phase_one(void);
void phase_two(void);
void pop_level(int flage);
void push_level(name_pointer p);
void output_defs(void);
void get_output(void);
void flush_buffer(void);
eight_bits skip_ahead(void);
eight_bits get_next(void);
void skip_limbo(void);
void scan_section(void);

@** Index.
@z